GET
Get staking reward history
Retrieve staking reward history.
Path Params
-
coinstring enum requiredThe staking asset.ADAAPTASIKAVACOSMOSATOMAVAXCAVAXPBABYBERABLDBSCBTCCOREDAOCOREUMCRONOSCSPRDOTEIGENETHFLRPHASHINJECTIVEMATICNEAROSMOPOLPOLYXRETH-ROCKETSEISOMISOLSTORYSTXSUISUI:WALTAOTIATONTRXWETHWCTWFLRXDCZETA
Query Params
-
enterpriseIdstringThe enterprise ID of the enterprise a user staked from. -
walletIdstringThe wallet ID of the wallet a user staked from. Either the enterpriseId or walletId need to be passed in. -
delegationIdstringThe delegation ID to filter rewards for. -
aggregationLevelstring enumThe level of aggregation for rewards, accepts both uppercase (WALLET, DELEGATION) and lowercase (wallet, delegation) formats.WALLETDELEGATIONwalletdelegation -
rangestring enumThe time range for the data, either hourly or daily.HOURLYDAILY -
startDatestring date-timeThe start date to search from. -
endDatestring date-timeThe end date to search from. -
pageinteger nullableThe page number for pagination. -
pageSizeinteger nullableThe page size for pagination. -
sortBystring enumSort By field-datedate
Responses
200
Successful Retrieving Staking History
Response Body
object
-
rewardsarray of objectsAn array of rewards.rewards object
-
rewardstring requiredThe reward in base units. -
coinstring requiredThe coin associated with the reward. -
walletIdstringThe wallet ID. -
enterpriseIdstringThe enterprise ID. -
delegationIdstringThe delegation ID, only present when aggregationLevel is delegation. -
datestring date-time requiredThe date and time of the reward. -
propertiesobjectDetailed reward information including consensus, transaction, and MEV rewards. Only populated for ETH delegations.properties object
-
consensusRewardnumberAmount of rewards from consensus participation. -
transactionRewardnumberAmount of rewards from transaction fees. -
mevRewardnumberAmount of rewards from MEV (Maximum Extractable Value). -
providerstringThe staking provider name.
-
-
-
pageintegerThe page number for paging purposes. -
totalPagesintegerThe total number of pages for paging purposes. -
totalElementsintegerThe number of elements per page used for paging purposes.
400
Bad Request
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
401
Unauthorized
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
403
Forbidden
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
404
Not Found
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
409
Conflict
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
500
Server Error - Transient error please try again
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject